Jump to content


Photo

USLEP incompatible with FNIS?

unofficial legendary patch fnis incompatible bug

Best Answer GrantSP , 14 January 2016 - 10:09 PM

The only purpose of FNIS Spells is to showcase what can be done with FNIS animations. It serves no purpose in the game aside from making certain annoying NPCS moonwalk or do other outrageous dance moves.

Go to the full post


  • Please log in to reply
10 replies to this topic

#1 Rokatsu

Rokatsu

    Prisoner

  • Members
  • 5 posts

Posted 13 January 2016 - 12:42 AM

I just tested it out in game. When I have USLEP (Unofficial Skyrim Legendary Edition Patch) running, the FNIS spells do not work on npcs at all. However, when I turn it off and try again, this time the FNIS animations work. FNIS is necessary in order to run other animations... but USLEP is also necessary to run without bugs... any way to make them compatible? 
 
Whether FNIS or USLEEP is on individually or together - Mod Organizer, LOOT, and the mods themselves do not report any issues... they only happen when it comes to spells in game. 
 
I've tried using TES5Edit to change FNIS's masters if it relied on individual unofficial patches, but I noticed it's master is only Skyrim.esm so I canceled out of it. 
 
Before anyone asks, I'm not running a crap ton of mods right now and my pc is not at fault. I only have 6 mods which are all basic mods: (USLEEP, FNIS + Creature pack + spells pack, SkyUISKSE and Unofficial Hi-rez Pack.

 

Answering the post that comes before my own: 

- I'm running windows 8.1 on an HP laptop bought 3 years ago. 

- I follow step partially but mainly use it for advice on individual mods 

- I have applied some ini tweaks, but I doubt this has anything to do with my problem 

- I tested my problem out in various places and cities on many different npcs but it's still the same results 


  • 0

#2 Nebulous112

Nebulous112

    High King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPip
  • 1,451 posts

Posted 13 January 2016 - 12:49 AM

USLEEP is definitely compatible with FNIS from what I have seen. Then again, I do not use the custom spells or animations Fore provides.

Have you checked to make sure FNIS, the Creature pack and spell pack are all the latest version?

I assume you are using MO. Have you made sure FNIS is a higher priority than USLEEP?

When you run FNIS to get the output files to create the FNIS Output "fake" mod, what does the message say? Any errors?

#3 GrantSP

GrantSP

    The antipodean

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 4,333 posts

Posted 13 January 2016 - 01:22 AM

No issues whatsoever with USLEEP and FNIS or FNIS - Spells. You must have some other gremlin running amok in your game to cause this.



#4 Rokatsu

Rokatsu

    Prisoner

  • Members
  • 5 posts

Posted 14 January 2016 - 04:06 PM

Well when I initially downloaded the Creature and Spells packs MO said they were out of date but when I went to the site where they were downloaded, it was the most recent ones. MO only said that cause FNIS itself was version 6.2. Also, FNIS should be higher priority ... but I think I'll just show you guys what it looks like. Tell me what you think: http://sta.sh/01kl1exsw5e3


  • 0

#5 Nebulous112

Nebulous112

    High King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPip
  • 1,451 posts

Posted 14 January 2016 - 04:34 PM

I do not see any FNIS Output files. That is the problem.

FNIS by itself won't do anything; you need to add the output files it generates for any effect.

When you run GenerateFNISforUsers, it should create some folders in overwrite. Then you need to create a mod from those folders.

See these STEP instructions to use FNIS in MO: http://wiki.step-pro...Recommendations

#6 Rokatsu

Rokatsu

    Prisoner

  • Members
  • 5 posts

Posted 14 January 2016 - 04:35 PM

Underneath the FNIS spells pack you will see FNIS Animations Patch. That's where I put the overwrite files every time I generate FNIS


  • 0

#7 Nebulous112

Nebulous112

    High King

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPip
  • 1,451 posts

Posted 14 January 2016 - 04:42 PM

OK, that makes sense. Please post what GenerateFNISforUsers says when you run it. The whole thing, if possible.

#8 GrantSP

GrantSP

    The antipodean

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 4,333 posts

Posted 14 January 2016 - 05:08 PM

Well when I initially downloaded the Creature and Spells packs MO said they were out of date but when I went to the site where they were downloaded, it was the most recent ones. MO only said that cause FNIS itself was version 6.2. Also, FNIS should be higher priority ... but I think I'll just show you guys what it looks like. Tell me what you think: http://sta.sh/01kl1exsw5e3

MO pulls the version number from the Nexus page, not from each download which is why each optional file shows as "out of date".

Now I've just set my MO profile to match yours exactly and the FNIS Spells work as expected for me so the next questions might seem obvious.

  • Have you selected a spell with the FNIS Spell Selection spell first? I went through all of them and they are all working for me.
  • Are you sure you have actually targeted the NPC correctly? They must be bathed in a bluish cloud and there is an audible hit noise to show they are hit.


#9 Rokatsu

Rokatsu

    Prisoner

  • Members
  • 5 posts

Posted 14 January 2016 - 09:05 PM

@Nebulous112 This is what FNIS says in the white box area: 

 

FNIS Behavior V6.2   2016-01-14 8:55:50 PM

Skyrim: 1.9.32.0 - C:\Skyrim\steamapps\common\Skyrim\ (Steam)
 
Skeleton(hkx) female: Default (99 bones)   male: Default (99 bones)
 
Reading FNISBase V6.2 ...
Reading FNISCreatureVersion V6.1 ...
Reading FNISSpells V5.0.1  ( 0 furniture, 0 offset, 9 paired, 0 kill, 0 chair, 0 alternate animations) ...
 
All Anim Lists scanned. Generating Behavior Files ...
0_master usage: 3.8 %   ( 9 paired, 0 kill, 0 alternate animations)
Alternate Animation mods: 0 sets: 0 total groups: 0 added file slots: 0 alternate files: 0
 
Create Creature Behaviors ...
 
 141 animations for 3 mods successfully included (character)
 
 0 possible consistence issues
 
@GrantSP I figured that the animations didn't work because when I used them on npcs, yes there was a sound and they did turn blue, but all they would do is fall on their backs and move around like a starfish... maybe I just don't know how to use this mod lol. Do you have to go to the menu and use spells for every single animation mod out there? 

  • 0

#10 GrantSP

GrantSP

    The antipodean

  • Super Moderators
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 4,333 posts

Posted 14 January 2016 - 10:09 PM   Best Answer

The only purpose of FNIS Spells is to showcase what can be done with FNIS animations. It serves no purpose in the game aside from making certain annoying NPCS moonwalk or do other outrageous dance moves.



#11 Rokatsu

Rokatsu

    Prisoner

  • Members
  • 5 posts

Posted 14 January 2016 - 10:43 PM

I've tested out some different animation mods on a test save (running FNIS each time) and so far there hasn't been a problem. So I guess maybe I just thought the FNIS spells thing was something different cause the mod testers I watch were able to use hotkeys to do the animations. Maybe those are different though. Either way thanks for your support. :) 

 

I do wonder though, whenever I run FNIS why I get a popup from MO asking for verification when I already run it as administrator each time... 

 

Nevermind, I solved it by changing mod organizer to run as administrator too. :P 


Edited by Rokatsu, 14 January 2016 - 10:48 PM.

  • 0



Also tagged with one or more of these keywords: unofficial, legendary, patch, fnis, incompatible, bug

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users